Pricing API
Pricing is public. No authentication required.
GET /v1/pricing
Returns the latest pricing snapshot across supported GPU providers.
curl https://api-staging.pulserun.dev/v1/pricingResponse shape
{
"gpu_types": [
{
"gpu_type": "a100_80gb",
"display_name": "NVIDIA A100 80GB",
"offers": [
{
"provider": "runpod",
"price_per_hour": 1.39,
"availability": 4
}
]
}
],
"last_updated": "2026-03-22T15:10:00Z"
}GET /v1/pricing/compare?gpu={gpu_slug}
Returns pricing for one normalized GPU type.
curl "https://api-staging.pulserun.dev/v1/pricing/compare?gpu=a100_80gb"GET /v1/pricing/history?gpu={gpu_slug}&period={period}
Historical pricing is not persisted yet. The endpoint currently returns metadata plus an empty data array.
curl "https://api-staging.pulserun.dev/v1/pricing/history?gpu=a100_80gb&period=24h"